namespace IRaCIS.Core.Domain.Models;

[Comment("项目阅片 - 表格问题行记录子项答案")]
[Table("ReadingTableQuestionAnswer")]
public class ReadingTableQuestionAnswer : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("RowId")]

    public ReadingTableAnswerRowInfo Lesion { get; set; }
    [JsonIgnore]
    [ForeignKey("QuestionId")]

    public ReadingQuestionTrial ReadingQuestionTrial { get; set; }
    [JsonIgnore]
    [ForeignKey("TableQuestionId")]

    public ReadingTableQuestionTrial ReadingTableQuestionTrial { get; set; }
    [JsonIgnore]
    [ForeignKey("VisitTaskId")]
    public VisitTask VisitTask { get; set; }
    #endregion
    public Guid QuestionId { get; set; }

    [Comment("表格问题Id")]
    public Guid TableQuestionId { get; set; }

    public Guid VisitTaskId { get; set; }

    public Guid TrialId { get; set; }
    public decimal RowIndex { get; set; }

    [StringLength(1000)]
    public string Answer { get; set; } = string.Empty;
    public Guid RowId { get; set; }
}
